precision mediump float;
varying vec2 vTextureCoord;
varying vec2 vOverlayTextureCoord;
uniform sampler2D sImageTexture;
uniform sampler2D sOverlayImageTexture;

void main() {
    vec4 overlayColor = texture2D(sOverlayImageTexture, vOverlayTextureCoord);
    vec4 imageColor = texture2D(sImageTexture, vTextureCoord);
    if (overlayColor.w > 0.0) {
        imageColor = vec4(mix(imageColor.xyz, overlayColor.xyz, overlayColor.a), 1.0);
    }
    gl_FragColor = imageColor;
}