#version 300 es

precision mediump float;

uniform sampler2D sImageTexture; // inputImage texture

uniform sampler2D sMaskTexture;  // mask

in vec2 vTextureCoord;
uniform int iLevel;
out vec4 FragColor;

void main() {
    float l = float(iLevel);

    // RGB values of the sImageTexture mipmap pyramid at the level.
    vec3 rgb = textureLod(sImageTexture, vTextureCoord, l).rgb;

    // only red channel on the mask is used.
    float mask = textureLod(sMaskTexture, vTextureCoord, l).r;

    // If the current pixel is masked.
    if (mask > 0.0) {
        FragColor = vec4(0.0, 0.0, 1.0, 1.0);
    } else {
        FragColor = vec4(rgb, 1.0);
    }
}
