#version 300 es

precision mediump float;

uniform sampler2D sImageTexture; // inputImage texture

in vec2 vTextureCoord;
uniform float uStrength; //intensity
out vec4 FragColor;

float mirrorCoord(float a) {
    if (a >= 0.0 && a <= 1.0) return a;
    return 1.0 - (a - (floor(a)));
}

vec4 getSampleRepeatMirror(sampler2D image, vec2 position) {
    return texture(image, vec2(mirrorCoord(position.x), mirrorCoord(position.y)));
}

void main() {
    FragColor = vec4(
        getSampleRepeatMirror(sImageTexture, vTextureCoord + vec2(uStrength, 0.0)).r,
        texture(sImageTexture, vTextureCoord).g,
        getSampleRepeatMirror(sImageTexture, vTextureCoord - vec2(uStrength, 0.0)).b,
        1.0);
}
