#version 300 es

precision mediump float;

uniform sampler2D sImageTexture; // inputImage texture

in vec2 vTextureCoord;
uniform int iLevel;
out vec4 FragColor;

void main() {
    float l = float(iLevel);
    vec3 cur = textureLod(sImageTexture, vTextureCoord, l).rgb;
    vec3 next = textureLod(sImageTexture, vTextureCoord, l + 1.0).rgb;
    vec3 diff = next - cur;
    // Ensure the diff is positive.
    FragColor = vec4(0.5 + diff, 1.0);
}
