#version 300 es

precision mediump float;

uniform sampler2D sLaplacianTexture;
uniform sampler2D sMaskTexture;
uniform sampler2D sPatchOffsetsTexture;

in vec2 vTextureCoord;
uniform int iLevel;
out vec4 FragColor;

void main() {
    vec2 offset = vec2(0.0);
    float mask = textureLod(sMaskTexture, vTextureCoord, 0.0).r;
    if (mask > 0.0) {
        offset = texture(sPatchOffsetsTexture, vTextureCoord).xy;
    }
    FragColor = vec4(
        textureLod(sLaplacianTexture, vTextureCoord + offset, float(iLevel)).rgb,
        1.0
    );
}
