#version 300 es

precision mediump float;

uniform sampler2D sImageTexture;
uniform sampler2D sMaskTexture;
uniform sampler2D sInpaintedTexture;

in vec2 vTextureCoord;

out vec4 FragColor;

void main() {
    vec3 color;
    if (texture(sMaskTexture, vTextureCoord).r == 0.0) {
        color = texture(sImageTexture, vTextureCoord).rgb;
    } else {
        color = textureLod(sInpaintedTexture, vTextureCoord, 0.0).rgb;
    }
    FragColor = vec4(color, 1.0);
}