#version 300 es

precision highp float;

uniform sampler2D sImageTexture; // inputImage texture
uniform vec2 uResolution;

in vec2 vTextureCoord;
out vec4 FragColor;


// https://github.com/Jam3/glsl-fast-gaussian-blur/blob/master/13.glsl
void main() {
    vec2 direction = vec2(1.0, 0.0);
      vec4 color = vec4(0.0);
      vec2 off1 = vec2(1.411764705882353) * direction;
      vec2 off2 = vec2(3.2941176470588234) * direction;
      vec2 off3 = vec2(5.176470588235294) * direction;
      color += texture(sImageTexture, vTextureCoord) * 0.1964825501511404;
      color += texture(sImageTexture, vTextureCoord + (off1 / uResolution)) * 0.2969069646728344;
      color += texture(sImageTexture, vTextureCoord - (off1 / uResolution)) * 0.2969069646728344;
      color += texture(sImageTexture, vTextureCoord + (off2 / uResolution)) * 0.09447039785044732;
      color += texture(sImageTexture, vTextureCoord - (off2 / uResolution)) * 0.09447039785044732;
      color += texture(sImageTexture, vTextureCoord + (off3 / uResolution)) * 0.010381362401148057;
      color += texture(sImageTexture, vTextureCoord - (off3 / uResolution)) * 0.010381362401148057;
      FragColor = color;
}
