#version 300 es

precision mediump float;

uniform sampler2D sLaplacianTexture;
uniform int iLevelCount;
in vec2 vTextureCoord;
out vec4 FragColor;

void main() {
    vec3 rgb = textureLod(sLaplacianTexture, vTextureCoord, float(iLevelCount-1)).rgb;
    for (int level = 0; level < iLevelCount - 1; level++) {
        rgb += textureLod(sLaplacianTexture, vTextureCoord, float(level)).rgb;
    }
    FragColor = vec4(rgb, 1.0);
}